/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.controller.admin;

import com.arrebol.taxiservicios.model.core.Person;
import com.arrebol.taxiservicios.model.enums.PersonType;
import java.util.List;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Picasso
 */
public class ProviderControllerUnitTest {

    private static final String EMPLOYEE_ID = "dc8d5b82-24b1-4dee-a98b-cbbbae50a4cf";

    private ProviderController controller;

    public ProviderControllerUnitTest() {
    }

    @Before
    public void setUp() {
        controller = new ProviderController();
    }

    //@Test
    public void getAllPersonsByPersonTye() {
        try {
            List<Person> employees = controller.getAllPersonsByPersonTye(PersonType.PROVIDER);

            assertNotNull(employees);
        } catch (Exception e) {
            assertNotNull(null);
        }
    }
}
